> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-pt-br/api-de-localizacao/location-error-codes.md).

# Códigos de erro de localização

Quando uma solicitação falha, `status.status` retorna `ERR` e o `errorCode` e `errorMessage` os campos são preenchidos.

| Código | Mensagem                                                | Causa                                                                                                                                                           |
| ------ | ------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 0      | Falha na decodificação: erro de sintaxe                 | O JSON está estruturado incorretamente. Isso pode ocorrer quando o texto é colado do Microsoft Word, porque alguns caracteres do Word são diferentes dos ASCII. |
| 1      | O número de células é 0                                 | O `mast`, `potência`, ou `ta` os valores estão ausentes ou incorretos.                                                                                          |
| 601    | Parâmetro ICCID/MSISDN ausente                          | O ICCID ou o MSISDN está ausente ou incorreto, ou a URL da solicitação usa `http` em vez de `https`.                                                            |
| 602    | Acesso não autorizado, conta inválida ou senha inválida | O nome de usuário ou a senha está incorreto, a conta não existe no Infinity Classic ou a conta não está autorizada a usar a API de Localização.                 |
| 603    | Parâmetro `<parameter>` valor ausente                   | O parâmetro nomeado está ausente ou incorreto. Quando dois parâmetros são intercambiáveis, o erro se refere a qualquer um deles.                                |
| 605    | Nenhum msisdn encontrado                                | O ICCID ou o MSISDN está ausente ou incorreto, ou a URL da solicitação usa `http` em vez de `https`.                                                            |
| 606    | NoLookupFound                                           | O serviço de localização não consegue encontrar uma latitude ou longitude para o dispositivo.                                                                   |
| 611    | inválido                                                | O ICCID ou o MSISDN está incorreto ou não está disponível nesta conta.                                                                                          |

Um corpo de resposta que começa com `<!DOCTYPE html>` indica que o caminho da URL da solicitação está incorreto.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-pt-br/api-de-localizacao/location-error-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
